Bug 165901 - boost-1.33.0 released, please update
Summary: boost-1.33.0 released, please update
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Benjamin Kosnik
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-13 20:34 UTC by Neal Becker
Modified: 2013-08-09 05:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 09:53:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Neal Becker 2005-08-13 20:34:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like Gecko)

Description of problem:
boost-1.33.0 is released! 
 
I have prepared an srpm for it, based on the FC4 boost rpm.  I have made some 
changes. 
 
1) Most important:  Both multithreaded and single threaded versions of libs 
are build.  The previous FC4 boost rpm did not do this.  We have discussed 
this on boost-devel list, and the authors say that it is needed.  If you have 
any question please look at the boost-devel list archive (available at gmane). 
 
2) soname change.  The FC4 boost rpm set soname to 1.  Unfortunately, there is 
no check by boost authors that there is any api compatibility between 
releases.  In fact, several authors replied that 1.33 is almost certainly not 
api compatible with 1.32.  Therefore, I believe we should leave the sonames 
alone and build as per boost defaults.  That means that the soname is set to 
1.33.0. 
 
Please review and comment;  Available here: 
http://nbecker.dyndns.org:8080/boost-1.33.0-7.src.rpm 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpmbuild  
2.  
3.  
    

Additional info:

Comment 1 John Mahowald 2005-10-03 15:50:30 UTC
1.33.0 is in Fedora testing repository, please test.

Comment 2 Laurent Rineau 2006-05-16 09:53:24 UTC
It is an old bug. boost-1.33.0 is already in FC-3 and FC-4. And boost-1.33.1 
is in FC-5 and devel.

This bug can be safely closed.


Note You need to log in before you can comment on or make changes to this bug.